# class Slave |
Full name | `KIO::Slave`
Definition | `#include <slave.h>`
Inherits | KIO::SlaveInterface [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Slave (KServerSocket *unixdomain, const QString &protocol, const QString &socketname)
- virtual ~Slave ()
- void setPID (pid_t)
- int slave_pid ()
- void kill ()
- bool isAlive ()
- void setHost ( const QString &host, int port, const QString &user, const QString &passwd)
- QString protocol ()
- QString slaveProtocol ()
- QString host ()
- int port ()
- QString user ()
- QString passwd ()
- void queueOnly (bool queue)
- void suspend ()
- void resume ()
- bool suspended ()
- time_t idleTime ()
- void setIdle ()
- Connection * connection ()

#### Public Slots

- void accept (KSocket *socket)
- void gotInput ()
- void gotAnswer ()

#### Signals

- void slaveDied (KIO::Slave *slave)

#### Public Static Methods

- static Slave* createSlave ( const KURL& url, int& error, QString& error_text )

## Detailed Description

Slave (KServerSocket *unixdomain, const QString &protocol, const QString &socketname) | ### Slave

~Slave () | ### ~Slave

[virtual]

void setPID (pid_t) | ### setPID

int slave_pid () | ### slave_pid

void kill () | ### kill

Force termination

bool isAlive () | ### isAlive

Returns: true if the slave survided the last mission.

void setHost ( const QString &host, int port, const QString &user, const QString &passwd) | ### setHost

Set host for url

Parameters:

host | to connect to.
port | to connect to.
user | to login as
passwd | to login with

QString protocol () | ### protocol

Returns: Protocol handled by this slave, as seen by the user (For FTP-proxy, this is FTP)

QString slaveProtocol () | ### slaveProtocol

Returns: Protocol handled by this slave, internally (For FTP-proxy, this is HTTP)

QString host () | ### host

Returns: Host this slave is (was?) connected to

int port () | ### port

Returns: port this slave is (was?) connected to

QString user () | ### user

Returns: User this slave is (was?) logged in as

QString passwd () | ### passwd

Returns: Passwd used to log in

Slave* createSlave ( const KURL& url, int& error, QString& error_text ) | ### createSlave

[static]

Creates a new slave if the KIOSlavePool has no matching one. m_pSlave and m_strSlaveProtocol are set accordingly on success.

Parameters:

_error | is the error code on failure and undefined else.
_error_text | is the error text on failure and undefined else.

Returns: m_pSlave on success or 0L on failure.

void queueOnly (bool queue) | ### queueOnly

void suspend () | ### suspend

void resume () | ### resume

bool suspended () | ### suspended

time_t idleTime () | ### idleTime

Returns: The time this slave has been idle.

void setIdle () | ### setIdle

Marks this slave as idle.

Connection * connection () | ### connection

Reimplemented from SlaveInterface.

void accept (KSocket *socket) | ### accept

[slot]

void gotInput () | ### gotInput

[slot]

void gotAnswer () | ### gotAnswer

[slot]

void slaveDied (KIO::Slave *slave) | ### slaveDied

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.